package com.link.base.basic.service;

import com.link.base.basic.dao.mybatis.mapper.BaseDutyPostnMapper;
import com.link.base.basic.dao.mybatis.mapper.BasicCommonMapper;
import com.link.base.basic.model.BaseDutyPostn;
import com.link.base.basic.model.ListOfValue;
import com.link.base.user.model.CoreUser;
import com.link.core.basic.dao.KeyGenerateDao;
import com.link.core.basic.dao.mapper.BasicMapper;
import com.link.core.basic.service.BasicServiceImpl;
import com.link.core.util.UserUtil;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class BaseDutyPostnServiceImpl extends BasicServiceImpl<BaseDutyPostn> implements BaseDutyPostnService {
   @Resource
   private BaseDutyPostnMapper baseDutyPostnMapper;
   @Resource
   private BasicCommonMapper basicCommonMapper;
   @Resource
   private KeyGenerateDao keyGenerate;

   public BasicMapper<BaseDutyPostn> getBasicMapper() {
      return this.baseDutyPostnMapper;
   }

   public void deleteByValId(ListOfValue entity) throws Exception {
      BaseDutyPostn bean = new BaseDutyPostn();
      bean.setValId(entity.getId());
      this.baseDutyPostnMapper.deleteByValId(bean);
   }

   public void insertByListOfVal(ListOfValue entity) throws Exception {
      BaseDutyPostn bean = new BaseDutyPostn();
      String rowId = this.keyGenerate.keyGenerate();
      CoreUser user = UserUtil.getUser();
      bean.setLoginCorpId(user.getCorpid());
      bean.setId(rowId);
      bean.setOrgId(user.getOrgId());
      bean.setValId(entity.getId());
      this.baseDutyPostnMapper.insert(bean);
   }
}
